using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.BCR
{
    /// <summary>
    /// 读码器写入协议81
    /// </summary>
    [DataContract]
    [SugarTable("FJ_BCR81")]
    public class WCS_BCR81 : IBCR81
    {
        /// <summary>
        /// 内容
        /// </summary>
        [DataMember(Order = 0)]
        public string Content { get; set; }

        [DataMember(Order = 1)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
